package com.huimv.apiservice.controller;

import cn.hutool.json.JSONObject;
import com.huimv.common.utils.TokenUtil;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.apiservice.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/4/28 0028 17:24
 **/
@RestController
public class TokenController {

    @RequestMapping("/getToken")
    public JSONObject login(String  userName){

        JSONObject result = new JSONObject();
        String token = TokenUtil.sign(userName);
        System.out.println(token);
        result.put("state",200);
        result.put("token",token);

        return  result;
    }

    @RequestMapping("/verify")
    public boolean getToken(String  verify){
        return  TokenUtil.verify(verify);
    }
}
