package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 睡眠状态表
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-04-28 13:27:37
 */
@Data
@TableName("mgt_sleep_status")
public class SleepStatusEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 当前日期
	 */
	private Date nowDate;
	/**
	 * 入睡时间
	 */
	private Date sleepTime;
	/**
	 * 睡眠时长
	 */
	private String sleepCount;
	/**
	 * 采集时间
	 */
	private Date collectTime;
	/**
	 * 删除状态 0正常 1已删除
	 */
	@TableLogic
	private Boolean deleted;
	/**
	 * 创建时间
	 */
	@TableField(fill = FieldFill.INSERT)
	private Date gmtCreate;
	/**
	 * 修改时间
	 */
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private Date gmtModified;

}
