package com.huimv.management.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.PageUtils;
import com.huimv.management.entity.SleepStatusEntity;

import java.util.List;
import java.util.Map;

/**
 * 睡眠状态表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-04-28 13:27:37
 */
public interface SleepStatusService extends IService<SleepStatusEntity> {

    PageUtils queryPage(Map<String, Object> params);

    List<SleepStatusEntity> findAll();
}

